<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: parallel_m::parallel_bcast Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceparallel__m.html">parallel_m</a></li><li class="navelem"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html">parallel_bcast</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="interfaceparallel__m_1_1parallel__bcast-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">parallel_m::parallel_bcast Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for parallel_m::parallel_bcast:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="interfaceparallel__m_1_1parallel__bcast__coll__graph.png" border="0" usemap="#parallel__m_1_1parallel__bcast_coll__map" alt="Collaboration graph"/></div>
<map name="parallel__m_1_1parallel__bcast_coll__map" id="parallel__m_1_1parallel__bcast_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5f0f0c61e2a9abacb85ff84c0cf1ea35"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a5f0f0c61e2a9abacb85ff84c0cf1ea35">parallel_bcast_real_0d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a5f0f0c61e2a9abacb85ff84c0cf1ea35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acca9bc6b786ee5ce38b5c7acb4975c89"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#acca9bc6b786ee5ce38b5c7acb4975c89">parallel_bcast_real_1d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:acca9bc6b786ee5ce38b5c7acb4975c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e1bdaca59694197db26f28f03300fab"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a2e1bdaca59694197db26f28f03300fab">parallel_bcast_real_2d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a2e1bdaca59694197db26f28f03300fab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99dec6c35e791877f165f36a76bae87e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a99dec6c35e791877f165f36a76bae87e">parallel_bcast_real_3d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a99dec6c35e791877f165f36a76bae87e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196688d9a83226a6731b88ca1ff50109"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a196688d9a83226a6731b88ca1ff50109">parallel_bcast_real_4d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a196688d9a83226a6731b88ca1ff50109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6be3cf33c394a8bff300490682433eec"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a6be3cf33c394a8bff300490682433eec">parallel_bcast_int_0d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a6be3cf33c394a8bff300490682433eec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47e876832a57056d09fcb68338a13467"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a47e876832a57056d09fcb68338a13467">parallel_bcast_int_1d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a47e876832a57056d09fcb68338a13467"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad00b577221d47586dcbeed62abb9f9ca"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#ad00b577221d47586dcbeed62abb9f9ca">parallel_bcast_int_2d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:ad00b577221d47586dcbeed62abb9f9ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05c77b83288a75a669be115d260304dd"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a05c77b83288a75a669be115d260304dd">parallel_bcast_int_3d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a05c77b83288a75a669be115d260304dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8492ae241c2beb6105513e32b1b6b659"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a8492ae241c2beb6105513e32b1b6b659">parallel_bcast_int_4d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a8492ae241c2beb6105513e32b1b6b659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a493dfdae57f801346c5335daf5b034e3"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a493dfdae57f801346c5335daf5b034e3">parallel_bcast_char_0d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a493dfdae57f801346c5335daf5b034e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6344e9e8d17771d6ef713331ec914229"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a6344e9e8d17771d6ef713331ec914229">parallel_bcast_char_1d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a6344e9e8d17771d6ef713331ec914229"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b86d5026d06a05d96046d967090a3d4"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceparallel__m_1_1parallel__bcast.html#a9b86d5026d06a05d96046d967090a3d4">parallel_bcast_bool_0d</a> (A, n, MPI_TYPE_, root, MPI_COMM, ierr)</td></tr>
<tr class="separator:a9b86d5026d06a05d96046d967090a3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function/Subroutine Documentation</h2>
<a id="a9b86d5026d06a05d96046d967090a3d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b86d5026d06a05d96046d967090a3d4">&#9670;&nbsp;</a></span>parallel_bcast_bool_0d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_bool_0d </td>
          <td>(</td>
          <td class="paramtype">logical, intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a493dfdae57f801346c5335daf5b034e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a493dfdae57f801346c5335daf5b034e3">&#9670;&nbsp;</a></span>parallel_bcast_char_0d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_char_0d </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6344e9e8d17771d6ef713331ec914229"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6344e9e8d17771d6ef713331ec914229">&#9670;&nbsp;</a></span>parallel_bcast_char_1d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_char_1d </td>
          <td>(</td>
          <td class="paramtype">character(len=*), dimension(:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6be3cf33c394a8bff300490682433eec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6be3cf33c394a8bff300490682433eec">&#9670;&nbsp;</a></span>parallel_bcast_int_0d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_int_0d </td>
          <td>(</td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a47e876832a57056d09fcb68338a13467"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47e876832a57056d09fcb68338a13467">&#9670;&nbsp;</a></span>parallel_bcast_int_1d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_int_1d </td>
          <td>(</td>
          <td class="paramtype">integer, dimension(:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad00b577221d47586dcbeed62abb9f9ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad00b577221d47586dcbeed62abb9f9ca">&#9670;&nbsp;</a></span>parallel_bcast_int_2d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_int_2d </td>
          <td>(</td>
          <td class="paramtype">integer, dimension(:,:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05c77b83288a75a669be115d260304dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05c77b83288a75a669be115d260304dd">&#9670;&nbsp;</a></span>parallel_bcast_int_3d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_int_3d </td>
          <td>(</td>
          <td class="paramtype">integer, dimension(:,:,:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8492ae241c2beb6105513e32b1b6b659"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8492ae241c2beb6105513e32b1b6b659">&#9670;&nbsp;</a></span>parallel_bcast_int_4d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_int_4d </td>
          <td>(</td>
          <td class="paramtype">integer, dimension(:,:,:,:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f0f0c61e2a9abacb85ff84c0cf1ea35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f0f0c61e2a9abacb85ff84c0cf1ea35">&#9670;&nbsp;</a></span>parallel_bcast_real_0d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_real_0d </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acca9bc6b786ee5ce38b5c7acb4975c89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acca9bc6b786ee5ce38b5c7acb4975c89">&#9670;&nbsp;</a></span>parallel_bcast_real_1d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_real_1d </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2e1bdaca59694197db26f28f03300fab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e1bdaca59694197db26f28f03300fab">&#9670;&nbsp;</a></span>parallel_bcast_real_2d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_real_2d </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a99dec6c35e791877f165f36a76bae87e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99dec6c35e791877f165f36a76bae87e">&#9670;&nbsp;</a></span>parallel_bcast_real_3d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_real_3d </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:,:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a196688d9a83226a6731b88ca1ff50109"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a196688d9a83226a6731b88ca1ff50109">&#9670;&nbsp;</a></span>parallel_bcast_real_4d()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine parallel_m::parallel_bcast::parallel_bcast_real_4d </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:,:,:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_TYPE_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>root</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>MPI_COMM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="parallel__m_8f90.html">parallel_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
